Bug 886104 - Review Request: plexus-component-factories-pom - Plexus Component Factories POM file
Summary: Review Request: plexus-component-factories-pom - Plexus Component Factories P...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 866756
TreeView+ depends on / blocked
 
Reported: 2012-12-11 14:15 UTC by Michal Srb
Modified: 2013-01-24 22:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-14 08:12:47 UTC
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michal Srb 2012-12-11 14:15:26 UTC
Spec URL: http://people.redhat.com/msrb/plexus-component-factories-pom.spec
SRPM URL: http://people.redhat.com/msrb/plexus-component-factories-pom-1.0-0.1.alpha11.fc19.src.rpm
Description: This package provides Plexus Component Factories  parent POM used by different Plexus packages.
Fedora Account System Username: msrb

Comment 1 Stanislav Ochotnicky 2012-12-11 14:22:14 UTC
I'll do the review & sponsorship process

Comment 2 Stanislav Ochotnicky 2012-12-11 15:41:08 UTC
Since this is simple pom package I am going to skip fedora-review output and just note problems with current version. rpmlint was clean

1. License

tag says ASL 2.0 but the pom.xml actually doesn't specify any license. *But* the parent pom (org.codehaus.plexus:plexus) specifies license as ASL 2.0. I've sent email to fedora-legal mailing list asking for this to be approved as a way to identify licenses for pom files. I'll add link to the email once it's approved by moderator

Also if you are going to add ASL license text, you can use full url in SourceX instead of just in the comment

2. Source0 URL

For maven repositories we usually use direct links. In this case (you should replace artifact names and versions with macros if possible)

http://repo1.maven.org/maven2/org/codehaus/plexus/plexus-component-factories/1.0-alpha-11/plexus-component-factories-1.0-alpha-11.pom

3. prep stage
Instead of:
%prep
cp -p %{SOURCE0} ${RPM_BUILD_DIR}/pom.xml
cp -p %{SOURCE1} LICENS

do:
%prep
%setup -cT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

4. mvn-rpmbuild verify

This should be in %check section, not %build

5. short_name usage

Macros for names are used when you repeatedly need to use part of a package name during install/build phase. This is not really the case here so the macro is just adding unneeded stuff to the specfile making it more complicated than it needs to be. However see next point..

6. Upstream exists with different versions having different groupIds, you might want to add "-a "plexus:%{short_name}" to make sure that we can resolve both versions. I'd rename short_name to artifactId or something more clear

7. %files section 
Ideally files sections should be as specific as possible so that no new files slip by accidentally. This is not really a dealbreaker for such a simple package but keep it in mind for other packages. For this case ideal solution is:
%files
%doc LICENSE
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

Comment 4 Stanislav Ochotnicky 2012-12-12 16:29:48 UTC
Everything is OK now except one tiny thing:
 - artifactId used by upstream is plexus-component-factories (not component-factories)

After you fix the %global definition the Source0 url will be incorrect, but that's easyfix.

After this is fix, I am going to approve this package

Comment 6 Stanislav Ochotnicky 2012-12-13 12:19:46 UTC
Looks good now. APPROVED

Comment 7 Michal Srb 2012-12-13 15:21:04 UTC
New Package SCM Request
=======================
Package Name: plexus-component-factories-pom
Short Description: Plexus Component Factories POM file
Owners: msrb sochotni mizdebsk
Branches: f17 f18
InitialCC: java-sig

Comment 8 Gwyn Ciesla 2012-12-13 15:24:03 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-12-14 10:11:49 UTC
plexus-component-factories-pom-1.0-0.3.alpha11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/plexus-component-factories-pom-1.0-0.3.alpha11.fc18

Comment 10 Fedora Update System 2012-12-14 10:19:29 UTC
plexus-component-factories-pom-1.0-0.3.alpha11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/plexus-component-factories-pom-1.0-0.3.alpha11.fc17

Comment 11 Fedora Update System 2013-01-24 21:50:11 UTC
plexus-component-factories-pom-1.0-0.3.alpha11.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-01-24 22:41:40 UTC
plexus-component-factories-pom-1.0-0.3.alpha11.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.